# Class BrowserProvider

This object has two goals:

- hide all the global state in the browser caused by the window object
- abstract away all the browser specific features and inconsistencies

Remove this in the future

- Defined in src/services/browser.js:203

##### Index

### Constructors

constructor

### Properties

$get

## Constructors

### constructor

- new BrowserProvider(): BrowserProvider

  #### Returns BrowserProvider

## Properties

### $get

$get: (string | (($$taskTrackerFactory: TaskTracker) => Browser))[] = ...

#### Type declaration

- string
- ($$taskTrackerFactory: TaskTracker) => Browser
  - - ($$taskTrackerFactory: TaskTracker): Browser

    - #### Parameters

      - $$taskTrackerFactory: TaskTracker

      #### Returns Browser

- Defined in src/services/browser.js:204